Package logilab :: Package common :: Module decorators :: Class classproperty

[frames] | no frames]

# Class classproperty

source code

    object --+
             |
            classproperty

    this is a simple property-like class but for class attributes.

Instance Methods

__init__(self, get) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__get__(self, inst, cls) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, get)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)